.main-menu-item {
/*    z-index: 10;*/
}
@media screen and (min-width: 1024px) {
    .main-menu-item:hover {
        box-shadow: inset 0 -2px 0 #84c6ff;
    }
}

.main-menu-item:hover a {
    text-decoration: none !important;
}

.main-menu-item .sub-menu {
    display: none;
    visibility: hidden;
    opacity: 0;
}
.main-menu-item .sub-menu a:hover {
    text-decoration: underline !important;
}

/*.main-menu-item:hover .menu-background {
    opacity: 1;
}*/
.menu-link:hover {
    text-decoration: underline;
}



.menu-depth-1, .menu-depth-2 {
    height: 100%;
    width: 100% !important;
    position: absolute !important;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    background: white;
}
    .menu-background {
        opacity: 0;
        transition: 0.3s;
        width: 100%;
        height: 100vh;
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
    }
    .menu-depth-1 .sub-menu > .menu-background {
        display: none;
    }

    .sub-menu-item {
        width: 100%;
    }

    @media screen and (max-width: 1024px) {
        .sub-menu section,
        .menu-depth-1,
        .menu-depth-2 {
            background: #002160 !important;
        }
        .sub-menu .menu-item-has-children .sub-menu-link, .sub-menu-link {
            border-bottom: 1px solid hsla(0,0%,100%,.15) !important;
        }


    }



    .sub-menu section {
        width: 100%;
        z-index: 20;
        background: white;
    }

    .sub-menu .menu-item-has-children .sub-menu-link, .sub-menu-link {
        border-bottom: 1px solid #e5e7eb;
    }
    .menu-background {
        background: white;
    }


    .h-mobile-menu {
        height: calc(100% - 52px);
    }

    @media screen and (min-width: 1024px) {

        .menu-depth-1 {
            height: auto;
            flex-direction: row;
        }
        .menu-depth-2 {
            position: relative !important;
        }

        .h-mobile-menu {
            height: auto;
        }

        .menu-depth-1 {
            top: inherit !important;
        } 

        .main-menu-item:hover .sub-menu {
            display: block;
            visibility: visible;
            opacity: 1;
        }

        .sub-menu-link  {
            border-bottom: none;
        }
        .sub-menu section {
            width: 100%;
            z-index: 20;
            padding: 35px 0 50px 0;
            position: relative;
            background: white;
        }

        .sub-menu .menu-item-has-children {
            width: auto !important;
            margin-right: 2%;
            padding-right: 2%;
            border-right: 1px solid #e5e7eb;
        }
        .sub-menu .menu-item-has-children:last-child {
            border-right: none;
        }
        
        .sub-menu .menu-item-has-children .sub-menu-link {
            margin-bottom: 10px;
            text-transform: uppercase;
            font-weight: 600;
            color: #002160 !important;
            border-bottom: none !important;
        }
        .menu-background {
            background: linear-gradient(to top, transparent, rgba(174,198,211,.5));
            opacity: 1;
        }


    }
    
    

.active-menu {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
}

